Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.access
Class DataCollectionRemoveUndo

    java.lang.Object
      javax.swing.undo.AbstractUndoableEdit
          ru.biosoft.access.DataCollectionRemoveUndo

All Implemented Interfaces:
  java.io.Serializable, javax.swing.undo.UndoableEdit

Direct Known Subclasses:
  DataCollectionAddUndo

public class DataCollectionRemoveUndo
extends javax.swing.undo.AbstractUndoableEdit

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.undo.AbstractUndoableEdit
`RedoName, UndoName`

Constructor Summary
`DataCollectionRemoveUndo(DataElement elementWillRemove, DataCollection parent)`

Method Summary
`java.lang.String` | `getPresentationName()`
`void` | `redo()`
`void` | `undo()`

Methods inherited from class javax.swing.undo.AbstractUndoableEdit
`addEdit, canRedo, canUndo, die, getRedoPresentationName, getUndoPresentationName, isSignificant, replaceEdit, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DataCollectionRemoveUndo

    public DataCollectionRemoveUndo(DataElement elementWillRemove,
                                    DataCollection parent)

Method Detail

### undo

    public void undo()
              throws javax.swing.undo.CannotUndoException

  Throws:
    `javax.swing.undo.CannotUndoException`

### redo

    public void redo()
              throws javax.swing.undo.CannotRedoException

  Throws:
    `javax.swing.undo.CannotRedoException`

### getPresentationName

    public java.lang.String getPresentationName()

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.